require "digest/sha3"
require_relative "./ed25519base.rb"

module Ed25519Keccak
  # using Keccak(original) as a hash function
  class Keccak512 < Ed25519Base
    def initialize()
      super( ->(s){ return Digest::SHA3.digest( s , 512 ) } )
    end
  end
end
