require 'sha3'
require_relative "./ed25519base.rb"

module Ed25519Keccak
  # using SHA3(FIPS-202) as a hash function
  class SHA3_512 < Ed25519Base
    def initialize()
      super( ->(s){ return SHA3::Digest.digest( :sha512 , s) } )
    end
  end
end
